%define wasedadir /usr/X11R6/lib/X11/fonts/misc

Summary: waseda multilingual fonts for X11
Name: waseda-X11-fonts
Version: 920515
Release: 8
Source: waseda-fonts.tar.gz
Copyright: Waseda University
Group: User Interface/X
BuildArchitectures: noarch
BuildRoot: %{_tmppath}/%{name}-%{version}-root
%ifnarch sparc
Requires: XFree86 >= 3.3
%endif

%description
This font set is an achievement of Multi-lingual I/O System Project at Waseda University, Tokyo, Japan.  kataoka@ohara.info.waseda.ac.jp

%prep
%setup -n waseda-fonts

%install
rm -rf ${RPM_BUILD_ROOT}
mkdir -p ${RPM_BUILD_ROOT}%{wasedadir}
for FILE in *.bdf
do
        DESTFILE=`basename ${FILE} .bdf`.pcf
	bdftopcf ${FILE} -o ${DESTFILE}
	gzip -9 ${DESTFILE}
	install -m 644 ${DESTFILE}.* ${RPM_BUILD_ROOT}%{wasedadir}
done

%clean
rm -rf ${RPM_BUILD_ROOT}

%post
mkfontdir %{wasedadir}

%postun
mkfontdir %{wasedadir}

%files
%defattr(0644, root, root, 0755)
%doc COPYRIGHT
%{wasedadir}/*.pcf.*
